import squint.*;

public class Scaler extends ImageFilter {

    private int mult, div;

    public Scaler( int amult, int adiv ) {
        mult = amult;
        div = adiv;
    }
    
    public int [][] pixelFilter( int [][] shades ) {                
        for ( int x = 0; x < shades.length; ++x ) {
            for ( int y = 0; y < shades[0].length; ++y ) {
                shades[x][y] = (mult*shades[x][y] )/div;
            }
        }
        return shades;
    }
}